aboutsummaryrefslogtreecommitdiff
path: root/aux/guix
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-02-08 21:44:24 -0300
committerEuAndreh <eu@euandre.org>2021-02-08 21:53:31 -0300
commitdd04e676719e18674fac0005ae77b0ebcf9d94b7 (patch)
tree81abc07a3c3abde06c0f009265119cf4383e608b /aux/guix
parenteuandreh.scm: Define packages dynamically (diff)
downloadpackage-repository-dd04e676719e18674fac0005ae77b0ebcf9d94b7.tar.gz
package-repository-dd04e676719e18674fac0005ae77b0ebcf9d94b7.tar.xz
Add aux/ default files
Diffstat (limited to 'aux/guix')
-rw-r--r--aux/guix/manifest.scm16
-rw-r--r--aux/guix/pinned-channels.scm11
-rwxr-xr-xaux/guix/with-container.sh14
3 files changed, 41 insertions, 0 deletions
diff --git a/aux/guix/manifest.scm b/aux/guix/manifest.scm
new file mode 100644
index 0000000..7164e5c
--- /dev/null
+++ b/aux/guix/manifest.scm
@@ -0,0 +1,16 @@
+(specifications->manifest
+ (map symbol->string
+ '(bash
+ coreutils
+ findutils
+ diffutils
+ grep
+ sed
+ git
+ tar
+ gzip
+ gawk
+ make
+ perl
+ shellcheck
+ pandoc)))
diff --git a/aux/guix/pinned-channels.scm b/aux/guix/pinned-channels.scm
new file mode 100644
index 0000000..67b5a51
--- /dev/null
+++ b/aux/guix/pinned-channels.scm
@@ -0,0 +1,11 @@
+(list
+ (channel
+ (name 'guix)
+ (url "https://git.savannah.gnu.org/git/guix.git")
+ (commit
+ "d265809b782293eb42dd663b4611ca19dd2bf1b3")
+ (introduction
+ (make-channel-introduction
+ "9edb3f66fd807b096b48283debdcddccfea34bad"
+ (openpgp-fingerprint
+ "BBB0 2DDF 2CEA F6A8 0D1D E643 A2A0 6DF2 A33A 54FA")))))
diff --git a/aux/guix/with-container.sh b/aux/guix/with-container.sh
new file mode 100755
index 0000000..3e6a590
--- /dev/null
+++ b/aux/guix/with-container.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eux
+
+if [ -z "${1:-}" ]; then
+ guix time-machine -C aux/guix/pinned-channels.scm -- \
+ environment --pure -C -m aux/guix/manifest.scm
+elif [ "$1" = '-i' ]; then
+ guix time-machine -C aux/guix/pinned-channels.scm -- \
+ environment -m aux/guix/manifest.scm
+else
+ guix time-machine -C aux/guix/pinned-channels.scm -- \
+ environment --pure -C -m aux/guix/manifest.scm -- \
+ sh -c "$@"
+fi